# Function createAttestTokenInstruction

- createAttestTokenInstruction(connection, tokenBridgeProgramId, wormholeProgramId, payer, mint, message, nonce): TransactionInstruction

- #### Parameters

  - ##### connection: Connection

  - ##### tokenBridgeProgramId: PublicKeyInitData

  - ##### wormholeProgramId: PublicKeyInitData

  - ##### payer: PublicKeyInitData

  - ##### mint: PublicKeyInitData

  - ##### message: PublicKeyInitData

  - ##### nonce: number

  #### Returns TransactionInstruction

  - Defined in platforms/solana/protocols/tokenBridge/src/utils/tokenBridge/instructions/attestToken.ts:12

Generated using TypeDoc